searchData={"items":[{"type":"module","title":"ExOciSdk","doc":"Documentation for `ExOciSdk`.","ref":"ExOciSdk.html"},{"type":"module","title":"ExOciSdk.Client","doc":"Main client for interacting with the OCI API.\nManages configurations, HTTP client, and JSON serialization.","ref":"ExOciSdk.Client.html"},{"type":"type","title":"ExOciSdk.Client.client_option/0","doc":"","ref":"ExOciSdk.Client.html#t:client_option/0"},{"type":"function","title":"ExOciSdk.Client.create!/2","doc":"Creates a new instance of the OCI client.","ref":"ExOciSdk.Client.html#create!/2"},{"type":"function","title":"Parameters - ExOciSdk.Client.create!/2","doc":"* `config` - Required configuration for the client\n  * `opts` - Optional parameters to customize the client\n    * `:http_client` - Tuple with {module, options} for the HTTP client. Module must implements `ExOciSdk.HTTPClient`\n    * `:json` - Tuple with {module, options} for JSON serialization. Module must implements `ExOciSdk.JSON`","ref":"ExOciSdk.Client.html#create!/2-parameters"},{"type":"function","title":"Returns - ExOciSdk.Client.create!/2","doc":"* `t:t/0` - The configuration struct","ref":"ExOciSdk.Client.html#create!/2-returns"},{"type":"function","title":"Raises - ExOciSdk.Client.create!/2","doc":"* `ArgumentError` if any of the provided options are invalid","ref":"ExOciSdk.Client.html#create!/2-raises"},{"type":"type","title":"ExOciSdk.Client.create_opts/0","doc":"","ref":"ExOciSdk.Client.html#t:create_opts/0"},{"type":"type","title":"ExOciSdk.Client.t/0","doc":"","ref":"ExOciSdk.Client.html#t:t/0"},{"type":"module","title":"ExOciSdk.Config","doc":"Provides configuration structure and validation for Oracle Cloud Infrastructure (OCI) credentials.\n\nThis module manages the configuration required for authenticating with OCI services,\nincluding user, tenancy information, and private key authentication.","ref":"ExOciSdk.Config.html"},{"type":"type","title":"ExOciSdk.Config.config_options/0","doc":"Options for creating a new configuration.","ref":"ExOciSdk.Config.html#t:config_options/0"},{"type":"type","title":"Fields - ExOciSdk.Config.config_options/0","doc":"* `user` - The OCID of the user making the request\n  * `fingerprint` - Fingerprint of the public key uploaded to OCI\n  * `tenancy` - The OCID of your tenancy\n  * `region` - The region of the OCI services being accessed\n  * `key_content` - The private key content as a string (mutually exclusive with `key_content_file`)\n  * `key_content_file` - Path to the private key file (mutually exclusive with `key_content`)","ref":"ExOciSdk.Config.html#t:config_options/0-fields"},{"type":"function","title":"ExOciSdk.Config.from_file!/2","doc":"Creates a new configuration from an OCI config file.\n\nThe function reads and parses an INI-formatted OCI configuration file and creates\na new configuration struct based on the specified profile.","ref":"ExOciSdk.Config.html#from_file!/2"},{"type":"function","title":"Parameters - ExOciSdk.Config.from_file!/2","doc":"* `config_file_path` - Path to the OCI config file. Defaults to \"~/.oci/config\"\n  * `profile` - The profile name to use from the config file. Defaults to \"DEFAULT\"","ref":"ExOciSdk.Config.html#from_file!/2-parameters"},{"type":"function","title":"Returns - ExOciSdk.Config.from_file!/2","doc":"* `t:t/0` - The configuration struct","ref":"ExOciSdk.Config.html#from_file!/2-returns"},{"type":"function","title":"Raises - ExOciSdk.Config.from_file!/2","doc":"* `ArgumentError` - If the config file cannot be parsed or if the specified profile is not found\n  * All raises from new!/1","ref":"ExOciSdk.Config.html#from_file!/2-raises"},{"type":"function","title":"ExOciSdk.Config.new!/1","doc":"Creates a new configuration struct with the provided options.\n\nThis function accepts either direct key content or a path to a key file, but not both.\nThe private key content will be validated to ensure it's in the correct PEM format.","ref":"ExOciSdk.Config.html#new!/1"},{"type":"function","title":"Parameters - ExOciSdk.Config.new!/1","doc":"* `options` - Map containing configuration values. See `t:config_options/0` for details.","ref":"ExOciSdk.Config.html#new!/1-parameters"},{"type":"function","title":"Returns - ExOciSdk.Config.new!/1","doc":"* `t:t/0` - The configuration struct","ref":"ExOciSdk.Config.html#new!/1-returns"},{"type":"function","title":"Raises - ExOciSdk.Config.new!/1","doc":"* `ArgumentError` - If the key content is invalid or not in PEM format\n  * `File.Error` - If the key file cannot be read (when using `key_content_file`)","ref":"ExOciSdk.Config.html#new!/1-raises"},{"type":"type","title":"ExOciSdk.Config.t/0","doc":"Configuration structure for OCI authentication.","ref":"ExOciSdk.Config.html#t:t/0"},{"type":"type","title":"Fields - ExOciSdk.Config.t/0","doc":"* `user` - The OCID of the user making the request\n  * `fingerprint` - Fingerprint of the public key uploaded to OCI\n  * `tenancy` - The OCID of your tenancy\n  * `region` - The region of the OCI services being accessed\n  * `key_content` - The private key content used for signing requests","ref":"ExOciSdk.Config.html#t:t/0-fields"},{"type":"module","title":"ExOciSdk.Response.Types","doc":"","ref":"ExOciSdk.Response.Types.html"},{"type":"type","title":"ExOciSdk.Response.Types.response_error/0","doc":"","ref":"ExOciSdk.Response.Types.html#t:response_error/0"},{"type":"type","title":"ExOciSdk.Response.Types.response_metadata/0","doc":"","ref":"ExOciSdk.Response.Types.html#t:response_metadata/0"},{"type":"type","title":"ExOciSdk.Response.Types.response_success/0","doc":"","ref":"ExOciSdk.Response.Types.html#t:response_success/0"},{"type":"type","title":"ExOciSdk.Response.Types.return_type/0","doc":"","ref":"ExOciSdk.Response.Types.html#t:return_type/0"},{"type":"behaviour","title":"ExOciSdk.HTTPClient","doc":"Defines the behaviour for HTTP clients in ExOciSdk.\n\nThis module specifies the contract that all HTTP client implementations must follow.\nIt provides type specifications and a callback for making HTTP requests.","ref":"ExOciSdk.HTTPClient.html"},{"type":"type","title":"ExOciSdk.HTTPClient.body/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:body/0"},{"type":"callback","title":"ExOciSdk.HTTPClient.deps/0","doc":"defines the dependencies necessary for the module","ref":"ExOciSdk.HTTPClient.html#c:deps/0"},{"type":"type","title":"ExOciSdk.HTTPClient.error_reason/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:error_reason/0"},{"type":"type","title":"ExOciSdk.HTTPClient.headers/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:headers/0"},{"type":"type","title":"ExOciSdk.HTTPClient.http_method/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:http_method/0"},{"type":"type","title":"ExOciSdk.HTTPClient.options/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:options/0"},{"type":"callback","title":"ExOciSdk.HTTPClient.request/5","doc":"Makes an HTTP request.","ref":"ExOciSdk.HTTPClient.html#c:request/5"},{"type":"callback","title":"Parameters - ExOciSdk.HTTPClient.request/5","doc":"* `method` - HTTP method as atom (e.g., `:get`, `:post`)\n  * `url` - Full URL for the request\n  * `body` - Request body as iodata\n  * `headers` - List of request headers as tuples\n  * `options` - Additional options for the request","ref":"ExOciSdk.HTTPClient.html#c:request/5-parameters"},{"type":"callback","title":"Returns - ExOciSdk.HTTPClient.request/5","doc":"* `{:ok, response}` - Successful response with status, headers and body\n  * `{:error, reason}` - Error occurred during request","ref":"ExOciSdk.HTTPClient.html#c:request/5-returns"},{"type":"type","title":"ExOciSdk.HTTPClient.response/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:response/0"},{"type":"type","title":"ExOciSdk.HTTPClient.url/0","doc":"","ref":"ExOciSdk.HTTPClient.html#t:url/0"},{"type":"module","title":"ExOciSdk.HTTPClient.Hackney","doc":"HTTP client implementation using Hackney.\n\nThis module implements the `ExOciSdk.HTTPClient` behaviour using the Hackney HTTP client.\nIt handles the translation between Hackney's response format and the expected format\ndefined in the behaviour.","ref":"ExOciSdk.HTTPClient.Hackney.html"},{"type":"function","title":"ExOciSdk.HTTPClient.Hackney.deps/0","doc":"Define the Hackney HTTP client as a dependency for this module","ref":"ExOciSdk.HTTPClient.Hackney.html#deps/0"},{"type":"function","title":"ExOciSdk.HTTPClient.Hackney.request/5","doc":"Makes an HTTP request using Hackney.\n\nImplements the `c:ExOciSdk.HTTPClient.request/5` callback using Hackney as the underlying\nHTTP client. Converts Hackney's response format to match the expected behaviour format.","ref":"ExOciSdk.HTTPClient.Hackney.html#request/5"},{"type":"function","title":"Parameters - ExOciSdk.HTTPClient.Hackney.request/5","doc":"* `method` - HTTP method as atom (e.g., `:get`, `:post`)\n  * `url` - Full URL for the request as binary\n  * `body` - Request body as iodata\n  * `headers` - List of request headers as tuples\n  * `options` - Additional options for the request","ref":"ExOciSdk.HTTPClient.Hackney.html#request/5-parameters"},{"type":"behaviour","title":"ExOciSdk.JSON","doc":"Defines the behavior for JSON encoding and decoding.\nThis module provides a consistent interface for working with JSON,\nallowing different implementations (such as Jason, Poison, etc).","ref":"ExOciSdk.JSON.html"},{"type":"callback","title":"ExOciSdk.JSON.decode!/2","doc":"Decodes JSON into an Elixir map.","ref":"ExOciSdk.JSON.html#c:decode!/2"},{"type":"callback","title":"Parameters - ExOciSdk.JSON.decode!/2","doc":"* `input` - JSON string or iodata to decode\n  * `options` - Decoding options","ref":"ExOciSdk.JSON.html#c:decode!/2-parameters"},{"type":"callback","title":"Raises - ExOciSdk.JSON.decode!/2","doc":"* `decode_error` - If the input is not valid JSON","ref":"ExOciSdk.JSON.html#c:decode!/2-raises"},{"type":"type","title":"ExOciSdk.JSON.decode_error/0","doc":"","ref":"ExOciSdk.JSON.html#t:decode_error/0"},{"type":"callback","title":"ExOciSdk.JSON.deps/0","doc":"defines the dependencies necessary for the module","ref":"ExOciSdk.JSON.html#c:deps/0"},{"type":"type","title":"ExOciSdk.JSON.encode_error/0","doc":"","ref":"ExOciSdk.JSON.html#t:encode_error/0"},{"type":"callback","title":"ExOciSdk.JSON.encode_to_iodata!/2","doc":"Encodes a map into JSON as iodata.","ref":"ExOciSdk.JSON.html#c:encode_to_iodata!/2"},{"type":"callback","title":"Parameters - ExOciSdk.JSON.encode_to_iodata!/2","doc":"* `input` - Map to be encoded\n  * `options` - Encoding options","ref":"ExOciSdk.JSON.html#c:encode_to_iodata!/2-parameters"},{"type":"callback","title":"Raises - ExOciSdk.JSON.encode_to_iodata!/2","doc":"* `encode_error` - If the input cannot be encoded to JSON","ref":"ExOciSdk.JSON.html#c:encode_to_iodata!/2-raises"},{"type":"type","title":"ExOciSdk.JSON.json_options/0","doc":"","ref":"ExOciSdk.JSON.html#t:json_options/0"},{"type":"module","title":"ExOciSdk.JSON.Jason","doc":"Implementation of the JSON behavior using the Jason library.","ref":"ExOciSdk.JSON.Jason.html"},{"type":"function","title":"ExOciSdk.JSON.Jason.decode!/2","doc":"Implementation of `c:ExOciSdk.JSON.decode!/2` using Jason.","ref":"ExOciSdk.JSON.Jason.html#decode!/2"},{"type":"function","title":"ExOciSdk.JSON.Jason.deps/0","doc":"Define the Jason json parser/generator as a dependency for this module","ref":"ExOciSdk.JSON.Jason.html#deps/0"},{"type":"function","title":"ExOciSdk.JSON.Jason.encode_to_iodata!/2","doc":"Implementation of `c:ExOciSdk.JSON.encode_to_iodata!/2` using Jason.","ref":"ExOciSdk.JSON.Jason.html#encode_to_iodata!/2"},{"type":"module","title":"ExOciSdk.Queue.QueueAdminClient","doc":"Provides administrative operations for managing OCI Queues.\n\nThis module implements the Oracle Cloud Infrastructure (OCI) Queue Admin,\noffering functionality to create, configure, and manage queues in OCI. It handles\nboth synchronous operations (like retrieving queue details) and asynchronous\noperations (like queue creation and deletion) through work requests.","ref":"ExOciSdk.Queue.QueueAdminClient.html"},{"type":"module","title":"Queue Management - ExOciSdk.Queue.QueueAdminClient","doc":"The client supports comprehensive queue lifecycle management:\n  * Queue creation with configurable retention, visibility, and timeout settings (`create_queue/3`)\n  * Queue retrieval and listing operations (`get_queue/3`, `list_queues/2`)\n  * Queue updates for modifying existing configurations (`update_queue/4`)\n  * Queue deletion with proper cleanup (`delete_queue/3`)\n  * Queue purging to remove messages (`purge_queue/4`)\n  * Moving queues between compartments (`change_queue_compartment/4`)","ref":"ExOciSdk.Queue.QueueAdminClient.html#module-queue-management"},{"type":"module","title":"Work Request Tracking - ExOciSdk.Queue.QueueAdminClient","doc":"Many operations in this module are asynchronous and return a work request ID.\nThese operations include:\n  * Creating queues (`create_queue/3`)\n  * Deleting queues (`delete_queue/3`)\n  * Purging messages (`purge_queue/4`)\n  * Updating queue configurations (`update_queue/4`)\n  * Moving queues between compartments (`change_queue_compartment/4`)\n\nThe module provides functions to track and monitor these asynchronous operations:\n  * `get_work_request/3` - Check operation status\n  * `list_work_requests/2` - List all work requests in a compartment\n  * `list_work_request_errors/3` - View operation errors\n  * `list_work_request_logs/3` - Access detailed operation logs","ref":"ExOciSdk.Queue.QueueAdminClient.html#module-work-request-tracking"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.change_queue_compartment/4","doc":"Moves a queue to a different compartment.\n\nInitiates an asynchronous operation to change the compartment of an existing queue.","ref":"ExOciSdk.Queue.QueueAdminClient.html#change_queue_compartment/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.change_queue_compartment/4","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier,\n  * `change_queue_compartment_input` - Change queue compartment input, see `t:ExOciSdk.Queue.Types.change_queue_compartment_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_admin_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#change_queue_compartment/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.change_queue_compartment/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#change_queue_compartment/4-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.create/2","doc":"Creates a new QueueClient instance.","ref":"ExOciSdk.Queue.QueueAdminClient.html#create/2"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.create/2","doc":"* `client` - Base sdk client, see `t:ExOciSdk.Client.t/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_client_create_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#create/2-parameters"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.create_queue/3","doc":"Creates a new queue with the specified configuration.\n\nInitiates an asynchronous operation to create a new queue in the specified compartment.","ref":"ExOciSdk.Queue.QueueAdminClient.html#create_queue/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.create_queue/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `create_queue_input` - Create queue input, see `t:ExOciSdk.Queue.Types.create_queue_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.create_queue_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#create_queue/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.create_queue/3","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#create_queue/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.delete_queue/3","doc":"Deletes a specified queue.\n\nInitiates an asynchronous operation to delete a queue and all its messages.","ref":"ExOciSdk.Queue.QueueAdminClient.html#delete_queue/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.delete_queue/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_admin_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#delete_queue/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.delete_queue/3","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#delete_queue/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.get_queue/3","doc":"Retrieves details about a specific queue.\n\nReturns information about the queue including its configuration, state, and metadata.","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_queue/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.get_queue/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_queue/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.get_queue/3","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_queue/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.get_work_request/3","doc":"Retrieves the current status of an asynchronous queue operation.\n\nThis function polls the status of operations like:\n  `create_queue/3`,\n  `delete_queue/3`,\n  `purge_queue/4`,\n  `update_queue/4`,\n  `change_queue_compartment/4`\nthat are being processed asynchronously in the queue service.","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_work_request/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.get_work_request/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `work_request_id` - ID of the asynchronous operation.\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_work_request/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.get_work_request/3","doc":"* `{:ok, response}` - On success, returns status details\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#get_work_request/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.list_queues/2","doc":"Lists queues based on the provided filters.\n\nReturns a paginated list of queues that match the specified criteria. The response\ncan be sorted and filtered by various queue attributes.","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_queues/2"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.list_queues/2","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.list_queues_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_queues/2-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.list_queues/2","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_queues/2-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.list_work_request_errors/3","doc":"Lists errors associated with a work request.\n\nRetrieves a paginated list of errors that occurred during the execution of a\nspecific work request. This helps diagnose failures in queue operations.","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_errors/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.list_work_request_errors/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `work_request_id` - ID of the work request to get errors for\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.list_work_requests_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_errors/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.list_work_request_errors/3","doc":"* `{:ok, response}` - On success, returns status details\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_errors/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.list_work_request_logs/3","doc":"Lists log entries for a work request.\n\nRetrieves a paginated list of log messages generated during the execution of a\nspecific work request. This provides detailed progress and diagnostic information\nfor queue operations.","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_logs/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.list_work_request_logs/3","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `work_request_id` - ID of the work request to get logs for\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.list_work_requests_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_logs/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.list_work_request_logs/3","doc":"* `{:ok, response}` - On success, returns status details\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_request_logs/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.list_work_requests/2","doc":"Lists work requests in a compartment.\n\nRetrieves a paginated list of work requests for queue operations.","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_requests/2"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.list_work_requests/2","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.list_work_requests_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_requests/2-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.list_work_requests/2","doc":"* `{:ok, response}` - On success, returns status details\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#list_work_requests/2-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.purge_queue/4","doc":"Purges messages from a queue based on the specified criteria.\n\nInitiates an asynchronous operation to remove messages from either the main queue,\ndead letter queue (DLQ), or both. Can optionally target specific channels.","ref":"ExOciSdk.Queue.QueueAdminClient.html#purge_queue/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.purge_queue/4","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier,\n  * `purge_queue_input` - Purge queue input, see `t:ExOciSdk.Queue.Types.purge_queue_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_admin_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#purge_queue/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.purge_queue/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#purge_queue/4-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.service_settings/0","doc":"Returns defaults service configuration settings `t:ExOciSdk.Queue.Types.service_settings/0`.","ref":"ExOciSdk.Queue.QueueAdminClient.html#service_settings/0"},{"type":"type","title":"ExOciSdk.Queue.QueueAdminClient.t/0","doc":"Queue client structure containing the base client and service configuration.\n\n* `:client` - The base OCI client instance, see `t:ExOciSdk.Client.t/0`\n* `:service_endpoint` - Optional custom service endpoint URL","ref":"ExOciSdk.Queue.QueueAdminClient.html#t:t/0"},{"type":"function","title":"ExOciSdk.Queue.QueueAdminClient.update_queue/4","doc":"Updates a queue's configuration.\n\nInitiates an asynchronous operation to modify the configuration of an existing queue.","ref":"ExOciSdk.Queue.QueueAdminClient.html#update_queue/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueAdminClient.update_queue/4","doc":"* `queue_admin_client` - Queue Admin client instance `t:t/0`\n  * `queue_id` - Target queue identifier,\n  * `update_queue_input` - Update queue input, see `t:ExOciSdk.Queue.Types.update_queue_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_admin_default_opts/0`","ref":"ExOciSdk.Queue.QueueAdminClient.html#update_queue/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueAdminClient.update_queue/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueAdminClient.html#update_queue/4-returns"},{"type":"module","title":"ExOciSdk.Queue.QueueClient","doc":"Client for interacting with OCI Queue Service messages and operations.\n\nThis module handles message-level operations for OCI Queues, including:\n\n- Reading messages (`get_messages/3`)\n- Writing messages (`put_messages/4`)\n- Deleting messages (`delete_message/4`, `delete_messages/4`)\n- Updating messages (`update_message/5`, `update_messages/4`)\n- Retrieving queue stats (`get_stats/3`)\n- Listing channels (`list_channels/3`)\n\nFor queue administration operations like creating, deleting, and updating queues,\nsee `ExOciSdk.Queue.QueueAdminClient`.","ref":"ExOciSdk.Queue.QueueClient.html"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.create/2","doc":"Creates a new QueueClient instance.","ref":"ExOciSdk.Queue.QueueClient.html#create/2"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.create/2","doc":"* `client` - Base sdk client, see `t:ExOciSdk.Client.t/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_client_create_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#create/2-parameters"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.delete_message/4","doc":"Deletes a single message from a queue.","ref":"ExOciSdk.Queue.QueueClient.html#delete_message/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.delete_message/4","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `message_receipt` - Receipt of the message to delete\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#delete_message/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.delete_message/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#delete_message/4-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.delete_messages/4","doc":"Deletes multiple messages from a queue in a single request.","ref":"ExOciSdk.Queue.QueueClient.html#delete_messages/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.delete_messages/4","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `delete_messages_input` - input of messages to delete, see `t:ExOciSdk.Queue.Types.delete_messages_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#delete_messages/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.delete_messages/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#delete_messages/4-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.get_messages/3","doc":"Retrieves messages from a queue.","ref":"ExOciSdk.Queue.QueueClient.html#get_messages/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.get_messages/3","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.get_messages_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#get_messages/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.get_messages/3","doc":"* `{:ok, response}` - On success, where response contains the messages\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#get_messages/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.get_stats/3","doc":"Retrieves statistics for a queue.","ref":"ExOciSdk.Queue.QueueClient.html#get_stats/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.get_stats/3","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.get_stats_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#get_stats/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.get_stats/3","doc":"* `{:ok, response}` - On success, where response contains queue statistics\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#get_stats/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.list_channels/3","doc":"Lists channels in a queue.","ref":"ExOciSdk.Queue.QueueClient.html#list_channels/3"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.list_channels/3","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.list_channels_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#list_channels/3-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.list_channels/3","doc":"* `{:ok, response}` - On success, where response contains list of channels\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#list_channels/3-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.put_messages/4","doc":"Puts messages into a queue.","ref":"ExOciSdk.Queue.QueueClient.html#put_messages/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.put_messages/4","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `put_messages_input` - Message input, see `t:ExOciSdk.Queue.Types.put_messages_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#put_messages/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.put_messages/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#put_messages/4-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.service_settings/0","doc":"Returns defaults service configuration settings `t:ExOciSdk.Queue.Types.service_settings/0`.","ref":"ExOciSdk.Queue.QueueClient.html#service_settings/0"},{"type":"type","title":"ExOciSdk.Queue.QueueClient.t/0","doc":"Queue client structure containing the base client and service configuration.\n\n* `:client` - The base OCI client instance, see `t:ExOciSdk.Client.t/0`\n* `:service_endpoint` - Optional custom service endpoint URL","ref":"ExOciSdk.Queue.QueueClient.html#t:t/0"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.update_message/5","doc":"Updates a single message's visibility timeout.","ref":"ExOciSdk.Queue.QueueClient.html#update_message/5"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.update_message/5","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `message_receipt` - Receipt of the message to update\n  * `update_message_input` - Update input, see `t:ExOciSdk.Queue.Types.update_message_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#update_message/5-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.update_message/5","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#update_message/5-returns"},{"type":"function","title":"ExOciSdk.Queue.QueueClient.update_messages/4","doc":"Updates visibility timeout for multiple messages in a single request.","ref":"ExOciSdk.Queue.QueueClient.html#update_messages/4"},{"type":"function","title":"Parameters - ExOciSdk.Queue.QueueClient.update_messages/4","doc":"* `queue_client` - Queue client instance `t:t/0`\n  * `queue_id` - Target queue identifier\n  * `update_messages_input` - Update input, see `t:ExOciSdk.Queue.Types.update_messages_input/0`\n  * `opts` - Options list, see `t:ExOciSdk.Queue.Types.queue_default_opts/0`","ref":"ExOciSdk.Queue.QueueClient.html#update_messages/4-parameters"},{"type":"function","title":"Returns - ExOciSdk.Queue.QueueClient.update_messages/4","doc":"* `{:ok, response}` - On success\n  * `{:error, reason}` - On failure","ref":"ExOciSdk.Queue.QueueClient.html#update_messages/4-returns"},{"type":"module","title":"ExOciSdk.Queue.Types","doc":"Defines types used by the Queue Client.","ref":"ExOciSdk.Queue.Types.html"},{"type":"type","title":"ExOciSdk.Queue.Types.change_queue_compartment_input/0","doc":"Map structure for changing a queue's compartment.\n\n* `compartment_id` - The OCID of the destination compartment. After the change operation completes,","ref":"ExOciSdk.Queue.Types.html#t:change_queue_compartment_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.channel_filter/0","doc":"Filter string for querying specific channels.","ref":"ExOciSdk.Queue.Types.html#t:channel_filter/0"},{"type":"type","title":"ExOciSdk.Queue.Types.channel_id/0","doc":"Unique identifier for a channel within a queue.","ref":"ExOciSdk.Queue.Types.html#t:channel_id/0"},{"type":"type","title":"ExOciSdk.Queue.Types.compartment_id/0","doc":"The OCID (Oracle Cloud ID) that uniquely identifies a compartment.\nA compartment is a logical container used to organize and isolate cloud resources.","ref":"ExOciSdk.Queue.Types.html#t:compartment_id/0"},{"type":"type","title":"ExOciSdk.Queue.Types.create_queue_input/0","doc":"Map structure for creating a queue\n\n* `display_name` - The name of the queue displayed in the console\n* `compartment_id` - The OCID of the compartment where the queue will be created\n* `retention_in_seconds` - How long messages are kept in the queue before automatic deletion\n* `visibility_in_seconds` - How long a message is invisible to other consumers after being retrieved\n* `timeout_in_seconds` - Maximum time allowed for processing a message before it returns to the queue\n* `channel_consumption_limit` - Maximum number of messages that can be consumed simultaneously\n* `dead_letter_queue_delivery_count` - Number of delivery attempts before moving to dead letter queue\n* `custom_encryption_key_id` - The OCID of the custom encryption key\n* `freeform_tags` - Simple key-value pairs for organizing resources\n* `defined_tags` - Predefined tags that restrict values by a definite schema","ref":"ExOciSdk.Queue.Types.html#t:create_queue_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.create_queue_opts/0","doc":"Default options for create a queue\n\n* `:opc_request_id` - Custom request identifier for tracing\n* `:opc_retry_token` - A token that uniquely identifies a request. If you need to retry the request, use the same retry token. This ensures that the server recognizes the request as a retry and not as a new request","ref":"ExOciSdk.Queue.Types.html#t:create_queue_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.delete_messages_input/0","doc":"Structure for deleting multiple messages from a queue.","ref":"ExOciSdk.Queue.Types.html#t:delete_messages_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.get_messages_opts/0","doc":"Options for retrieving messages from a queue.\n\n* `:opc_request_id` - Custom request identifier\n* `:visibility_in_seconds` - Duration the message remains invisible to other consumers\n* `:timeout_in_seconds` - How long to wait for messages if queue is empty\n* `:limit` - Maximum number of messages to retrieve\n* `:channel_filter` - Filter for specific channels","ref":"ExOciSdk.Queue.Types.html#t:get_messages_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.get_stats_opts/0","doc":"Options for retrieving queue statistics.\n\n* `:opc_request_id` - Custom request identifier\n* `:channel_filter` - Filter for specific channels","ref":"ExOciSdk.Queue.Types.html#t:get_stats_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.list_channels_opts/0","doc":"Options for listing channels in a queue.\n\n* `:opc_request_id` - Custom request identifier\n* `:limit` - Maximum number of channels to retrieve\n* `:page` - Page number for pagination\n* `:channel_filter` - Filter for specific channels","ref":"ExOciSdk.Queue.Types.html#t:list_channels_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.list_queues_opts/0","doc":"Options for listing queues.\n\n* `:opc_request_id` - Custom request identifier\n* `:id` - Unique identifier of the queue to filter by\n* `:display_mame` - Name of the queue to filter results\n* `:compartment_id` - OCID of the compartment to filter queues\n* `:lifecycle_state` - Current state of the queue (e.g. CREATING, UPDATING, ACTIVE, DELETING, DELETED and FAILED)\n* `:limit` - Maximum number of queues to retrieve\n* `:page` - Page number for pagination\n* `:sort_order` - Order of results (ASC or DESC)\n* `:sort_by` - Field to sort the results by (e.g. timeCreated, displayName)","ref":"ExOciSdk.Queue.Types.html#t:list_queues_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.list_work_requests_default_opts/0","doc":"Options for listing work requests.\n\n* `:opc_request_id` - Custom request identifier for tracing\n* `:limit` - Maximum number of work requests to retrieve per page\n* `:page` - Page number for pagination when retrieving a list of work requests","ref":"ExOciSdk.Queue.Types.html#t:list_work_requests_default_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.list_work_requests_opts/0","doc":"Options for listing work requests.\n\n* `:opc_request_id` - Custom request identifier for tracing\n* `:compartment_id` - OCID of the compartment to filter work requests\n* `:work_request_id` - Filter work requests by their unique identifier\n* `:limit` - Maximum number of work requests to retrieve per page\n* `:page` - Page number for pagination when retrieving a list of work requests","ref":"ExOciSdk.Queue.Types.html#t:list_work_requests_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.message/0","doc":"Message map containing the actual content and associated metadata.","ref":"ExOciSdk.Queue.Types.html#t:message/0"},{"type":"type","title":"ExOciSdk.Queue.Types.message_metadata/0","doc":"Metadata map associated with a message, including channel information and custom properties.","ref":"ExOciSdk.Queue.Types.html#t:message_metadata/0"},{"type":"type","title":"ExOciSdk.Queue.Types.message_receipt/0","doc":"Receipt identifier for a message. Used in operations that manipulate existing messages.","ref":"ExOciSdk.Queue.Types.html#t:message_receipt/0"},{"type":"type","title":"ExOciSdk.Queue.Types.opc_request_id/0","doc":"Request identifier used for tracing and debugging purposes.","ref":"ExOciSdk.Queue.Types.html#t:opc_request_id/0"},{"type":"type","title":"ExOciSdk.Queue.Types.purge_queue_input/0","doc":"Map structure for purging a queue.\n\n* `purge_type` - Type of purge operation. Valid values are \"NORMAL\", \"DLQ\", or \"BOTH\"\n* `channel_ids` - List of channel IDs to be purged (optional)","ref":"ExOciSdk.Queue.Types.html#t:purge_queue_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.put_messages_input/0","doc":"Map for putting multiple messages into a queue.","ref":"ExOciSdk.Queue.Types.html#t:put_messages_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.queue_admin_default_opts/0","doc":"Default options available for operations that change state of a queue (delete, move, purge).\n\n* `:opc_request_id` - Custom request identifier for tracing\n* `:if_match` - Used for optimistic concurrency control. Ensures the resource hasn't been modified since you last retrieved it.\n  Contains the resource's ETag value from a previous GET request.\n  If the ETag values don't match, the operation will fail with a 412 Precondition Failed error","ref":"ExOciSdk.Queue.Types.html#t:queue_admin_default_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.queue_client_create_opts/0","doc":"Options for creating a new queue client.\n\n* `:service_endpoint` - Custom service endpoint URL","ref":"ExOciSdk.Queue.Types.html#t:queue_client_create_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.queue_default_opts/0","doc":"Default options available for most queue operations.\n\n* `:opc_request_id` - Custom request identifier for tracing","ref":"ExOciSdk.Queue.Types.html#t:queue_default_opts/0"},{"type":"type","title":"ExOciSdk.Queue.Types.queue_id/0","doc":"Unique identifier for a queue.","ref":"ExOciSdk.Queue.Types.html#t:queue_id/0"},{"type":"type","title":"ExOciSdk.Queue.Types.service_settings/0","doc":"Default Queue service settings\n\n* `:service_endpoint` - Default OCI service endpoint\n* `:content_type` - Default content type for requests\n* `:accept` - Default accept header for requests","ref":"ExOciSdk.Queue.Types.html#t:service_settings/0"},{"type":"type","title":"ExOciSdk.Queue.Types.update_message_input/0","doc":"Map for updating a single message's visibility timeout.","ref":"ExOciSdk.Queue.Types.html#t:update_message_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.update_messages_input/0","doc":"Structure for updating visibility timeout for multiple messages.","ref":"ExOciSdk.Queue.Types.html#t:update_messages_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.update_queue_input/0","doc":"Map structure for updating a queue.\n\n* `display_name` - The name of the queue displayed in the console\n* `visibility_in_seconds` - How long a message is invisible to other consumers after being retrieved\n* `timeout_in_seconds` - Maximum time allowed for processing a message before it returns to the queue\n* `channel_consumption_limit` - Maximum number of messages that can be consumed simultaneously\n* `dead_letter_queue_delivery_count` - Number of delivery attempts before moving to dead letter queue\n* `custom_encryption_key_id` - The OCID of the custom encryption key\n* `freeform_tags` - Simple key-value pairs for organizing resources\n* `defined_tags` - Predefined tags that restrict values by a definite schema","ref":"ExOciSdk.Queue.Types.html#t:update_queue_input/0"},{"type":"type","title":"ExOciSdk.Queue.Types.work_request_id/0","doc":"A unique identifier for tracking asynchronous work requests. This ID is returned when operations that change state are initiated\nand can be used to monitor the status and progress of long-running operations through work request APIs.","ref":"ExOciSdk.Queue.Types.html#t:work_request_id/0"},{"type":"extras","title":"Changelog","doc":"# Changelog\nAll notable changes to ExOciSdk will be documented in this file.\n\n## [0.2.0] - 2025-02-03","ref":"changelog.html"},{"type":"extras","title":"Added - Changelog","doc":"- [`QueueAdminClient`](queue_admin_client.md) module for queue administration operations\n- header extraction mechanism for metadata in core response policy","ref":"changelog.html#added"},{"type":"extras","title":"Fixed - Changelog","doc":"- bug handling responses with different content-type header cases\n\n## [0.1.0] - 2025-01-29","ref":"changelog.html#fixed"},{"type":"extras","title":"Added - Changelog","doc":"- Core SDK functionality\n- [`QueueClient`](queue_client.md) module for queue operations","ref":"changelog.html#added"},{"type":"extras","title":"Introduction to ExOciSdk","doc":"# Introduction to ExOciSdk\n\nWelcome to ExOciSdk! This guide introduces an Elixir SDK for working with Oracle Cloud Infrastructure (OCI). If you're looking to interact with OCI services using Elixir, this library aims to make that process straightforward and familiar.","ref":"overview.html"},{"type":"extras","title":"What is ExOciSdk? - Introduction to ExOciSdk","doc":"ExOciSdk is an open-source SDK that helps Elixir developers work with Oracle Cloud Infrastructure. It provides a way to interact with OCI services using Elixir patterns and practices you're already familiar with. The goal is simple: make working with OCI in Elixir feel natural.\n\nSome common use cases include:\n- Managing cloud resources from your Elixir applications\n- Automating infrastructure tasks\n- Integrating OCI services into your existing Elixir projects\n- Building tools and utilities for OCI management","ref":"overview.html#what-is-exocisdk"},{"type":"extras","title":"Why We Created ExOciSdk - Introduction to ExOciSdk","doc":"While OCI provides excellent SDKs for several languages, we saw an opportunity to create something specifically for the Elixir community. This SDK aims to:","ref":"overview.html#why-we-created-exocisdk"},{"type":"extras","title":"Work with Elixir, Not Against It - Introduction to ExOciSdk","doc":"We've designed the SDK to follow Elixir conventions and practices. This means you can write code that feels natural in your Elixir applications.","ref":"overview.html#work-with-elixir-not-against-it"},{"type":"extras","title":"Keep Things Simple - Introduction to ExOciSdk","doc":"Cloud infrastructure can be complex enough - your tools shouldn't add to that complexity. We focus on:\n- Clear, predictable interfaces\n- Helpful error messages\n- Practical documentation with examples\n- Sensible defaults while maintaining flexibility","ref":"overview.html#keep-things-simple"},{"type":"extras","title":"Provide Room to Grow - Introduction to ExOciSdk","doc":"As your needs evolve, the SDK offers ways to adapt:\n- Customize how HTTP requests are handled\n- Configure JSON processing\n- Build your own abstractions on top","ref":"overview.html#provide-room-to-grow"},{"type":"extras","title":"Before You Begin - Introduction to ExOciSdk","doc":"To use ExOciSdk, you'll need:\n\n1. An active Oracle Cloud Infrastructure account\n2. Basic familiarity with OCI concepts\n3. Proper OCI credentials and permissions\n4. Elixir installed on your system","ref":"overview.html#before-you-begin"},{"type":"extras","title":"Install ExOciSdk","doc":"# Install ExOciSdk\n\nThe package can be installed by adding `ex_oci_sdk` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_oci_sdk, \"~> 0.2.0\"},\n    # Optional dependencies\n    {:hackney, \"~> 1.20.1\"},  # Default HTTP client\n    {:jason, \"~> 1.4.4\"}      # Default JSON parser\n  ]\nend\n```","ref":"installation.html"},{"type":"extras","title":"Configuration","doc":"# Configuration\n\nBefore you can make your first API call to OCI, you need to set up authentication. The `ExOciSdk.Config` module is your starting point for interacting with OCI services. This guide will walk you through setting up your configuration properly.","ref":"config.html"},{"type":"extras","title":"Required Credentials - Configuration","doc":"To authenticate with OCI, you need:\n\n1. **User OCID**: Your unique user identifier\n2. **Tenancy OCID**: Your organization's unique identifier\n3. **Private KEY**: private key for API\n4. **Key Fingerprint**: Fingerprint of your API key\n5. **Region**: Your OCI region","ref":"config.html#required-credentials"},{"type":"extras","title":"Getting Your Credentials - Configuration","doc":"","ref":"config.html#getting-your-credentials"},{"type":"extras","title":"Finding Your OCIDs - Configuration","doc":"1. Log into the OCI Console (https://cloud.oracle.com)\n2. Click on your profile icon in the top right\n3. To get your User OCID:\n- Click on your username\n- You will be directed to the \"My Profile\" page\n- ind your User OCID under the \"User Information\" section\n4. To get your Tenancy OCID:\n- Return to the profile menu\n- Click on \"Tenancy:  \"\n- You will be directed to the \"Tenancy Details\" page\n- Find your Tenancy OCID under the \"Tenancy Information\" section","ref":"config.html#finding-your-ocids"},{"type":"extras","title":"Generating API Keys in OCI Console - Configuration","doc":"1. In the OCI Console, go to your User Settings\n2. Under \"API Keys\", click \"Add API Key\"\n3. Choose \"Generate API Key Pair\"\n4. Click \"Download Private Key\" and \"Download Public Key\"\n5. Save the generated key fingerprint\n6. Store the private key securely (e.g., in `~/.oci/oci_api_key.pem`)","ref":"config.html#generating-api-keys-in-oci-console"},{"type":"extras","title":"Configuration Methods - Configuration","doc":"The SDK supports two ways to configure your credentials. Let's look at both:","ref":"config.html#configuration-methods"},{"type":"extras","title":"Method 1: Using OCI Config File - Configuration","doc":"If you've used the [OCI CLI](https://github.com/oracle/oci-cli) before, you might already have a config file at ~/.oci/config. This is the easiest way to get started:\n\n```elixir\n# Use default profile from ~/.oci/config\nconfig = ExOciSdk.Config.from_file!()\n\n# Or specify a custom profile and path\nconfig = ExOciSdk.Config.from_file!(\"/custom/path/config\", \"CUSTOM_PROFILE\")\n```\n\nYour config file (`~/.oci/config`) should look like:\n```ini\n[DEFAULT]\nuser=ocid1.user.oc1..example\nfingerprint=20:3b:97:13:55:1c:ef:3d:bb:04:28:cc:7e:00:5b:12\ntenancy=ocid1.tenancy.oc1..example\nregion=sa-saopaulo-1\nkey_file=~/.oci/oci_api_key.pem\n```","ref":"config.html#method-1-using-oci-config-file"},{"type":"extras","title":"Method 2: Direct Configuration - Configuration","doc":"For more control or in production environments, you can configure directly:\n\n```elixir\n# Using key content directly\nconfig = ExOciSdk.Config.new!(%{\n  user: \"ocid1.user.oc1..example\",\n  fingerprint: \"20:3b:97:13:55:1c:ef:3d:bb:04:28:cc:7e:00:5b:12\",\n  tenancy: \"ocid1.tenancy.oc1..example\",\n  region: \"sa-saopaulo-1\",\n  key_content: \"-----BEGIN PRIVATE KEY-----\\n...\"\n})\n\n# Or using a key file path\nconfig = ExOciSdk.Config.new!(%{\n  user: \"ocid1.user.oc1..example\",\n  fingerprint: \"20:3b:97:13:55:1c:ef:3d:bb:04:28:cc:7e:00:5b:12\",\n  tenancy: \"ocid1.tenancy.oc1..example\",\n  region: \"sa-saopaulo-1\",\n  key_file: \"~/.oci/oci_api_key.pem\"\n})\n```","ref":"config.html#method-2-direct-configuration"},{"type":"extras","title":"Profile Management - Configuration","doc":"You can maintain multiple profiles in your config file:\n\n```ini\n[DEFAULT]\n# Default profile settings...\n\n[PROD]\n# Production settings...\n\n[DEV]\n# Development settings...\n```\n\nSwitch between profiles:\n```elixir\nprod_config = ExOciSdk.Config.from_file!(profile: \"PROD\")\ndev_config = ExOciSdk.Config.from_file!(profile: \"DEV\")\n```","ref":"config.html#profile-management"},{"type":"extras","title":"Important Tips - Configuration","doc":"- Keep your private key in a secure location and never share it\n- Never expose your private key in your code\n- If you suspect your private key has been compromised, immediately delete it from the OCI Console to prevent unauthorized access","ref":"config.html#important-tips"},{"type":"extras","title":"Base Client","doc":"# Base Client\n\nThe `ExOciSdk.Client` module is your gateway to OCI services. Let's explore how to use and customize it effectively.","ref":"client.html"},{"type":"extras","title":"Creating a Client - Base Client","doc":"The basic way to create a client:\n\n```elixir\nclient = ExOciSdk.Client.create!(config)\n```\n\nconfig cames from ExOciSdk.Config, see [Configuration](config.md) guide for details.\n\nThis creates a client with default settings:\n- HTTP Client: Hackney\n- JSON Handler: Jason\n\n\nNow you are ready to start the consumption of oci services.","ref":"client.html#creating-a-client"},{"type":"extras","title":"Queue Client","doc":"# Queue Client\n\nOracle Cloud Infrastructure (OCI) Queue is a fully managed serverless queue service that enables you to asynchronously process workloads by exchanging messages between different components of distributed applications. It provides reliable message storage and delivery with high availability, guaranteeing at-least-once message delivery.\n\nOCI Queue service helps you build loosely coupled, distributed applications by allowing different parts of your system to communicate asynchronously. Common use cases include:\n\n- Task distribution for worker processes\n- Event-driven architectures\n- Microservices communication\n- Background job processing\n- Workload buffering\n\nThe QueueClient module provides a robust interface for interacting with OCI Queue Service, handling all message-level operations efficiently.","ref":"queue_client.html"},{"type":"extras","title":"Create Queue Client - Queue Client","doc":"First, create a new QueueClient instance:\n\n```elixir\n# Create a base client with your OCI configuration\nconfig = ExOciSdk.Config.from_file!(\"path/to/config\")\nclient = ExOciSdk.Client.create!(config)\n\n# Initialize the QueueClient\nqueue_client = ExOciSdk.Queue.QueueClient.create(client)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.create/2`","ref":"queue_client.html#create-queue-client"},{"type":"extras","title":"Core Features - Queue Client","doc":"","ref":"queue_client.html#core-features"},{"type":"extras","title":"Reading Messages - Queue Client","doc":"Retrieve messages from a queue with configurable visibility timeout and batch size:\n\n```elixir\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.get_messages(queue_client, queue_id,\n  visibility_in_seconds: 30,\n  timeout_in_seconds: 5,\n  limit: 10,\n  channel_filter: \"my-channel\"\n)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.get_messages/3`","ref":"queue_client.html#reading-messages"},{"type":"extras","title":"Writing Messages - Queue Client","doc":"Put new messages into a queue:\n\n```elixir\nmessages = %{\n  \"messages\" => [\n    %{\n      \"content\" => \"Hello world\",\n      \"metadata\" => %{\n        \"channel_id\" => \"default\",\n        \"custom_properties\" => %{\n          \"priority\" => \"high\",\n          \"source\" => \"user_service\"\n        }\n      }\n    },\n    %{\n      \"content\" => \"Hello world2\"\n    },\n    %{\n      \"content\" => \"Hello world3\",\n    }\n  ]\n}\n\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.put_messages(queue_client, queue_id, messages)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.put_messages/4`","ref":"queue_client.html#writing-messages"},{"type":"extras","title":"Managing Message Visibility - Queue Client","doc":"Update visibility timeout for a single message:\n\n```elixir\nupdate_input = %{\n  \"visibility_in_seconds\" => 30\n}\n\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.update_message(queue_client, queue_id, message_receipt, update_input)\n```\n\nOr update multiple messages at once:\n\n```elixir\nupdate_messages = %{\n  \"messages\" => [\n    %{\n      \"receipt\" => \"message-receipt-1\",\n      \"visibility_in_seconds\" => 30\n    },\n    %{\n      \"receipt\" => \"message-receipt-2\",\n      \"visibility_in_seconds\" => 60\n    }\n  ]\n}\n\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.update_messages(queue_client, queue_id, update_messages)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.update_messages/4`","ref":"queue_client.html#managing-message-visibility"},{"type":"extras","title":"Deleting Messages - Queue Client","doc":"Delete a single message:\n\n```elixir\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.delete_message(queue_client, queue_id, message_receipt)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.delete_message/4`\n\nOr delete multiple messages in one operation:\n\n```elixir\ndelete_messages = %{\n  \"entries\" => [\n    %{\n      \"receipt\" => \"message-receipt-1\"\n    },\n    %{\n      \"receipt\" => \"message-receipt-2\"\n    }\n  ]\n}\n\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.delete_messages(queue_client, queue_id, delete_messages)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.delete_messages/4`","ref":"queue_client.html#deleting-messages"},{"type":"extras","title":"Queue Statistics - Queue Client","doc":"Get statistics about your queue:\n\n```elixir\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.get_stats(queue_client, queue_id,\n  channel_id: \"my-channel\"\n)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.get_stats/3`","ref":"queue_client.html#queue-statistics"},{"type":"extras","title":"Channel Listing - Queue Client","doc":"List channels in a queue:\n\n```elixir\n\nqueue_id = \"ocid1.queue.random-region.amaaabaa2ikrzdya6issa228717dhhdhsahffjsjjazzznffnpo8\"\n\n{:ok, response} = ExOciSdk.Queue.QueueClient.list_channels(queue_client, queue_id,\n  limit: 10,\n  page: 1,\n  channel_filter: \"my-channel\"\n)\n```\n\nsee more details in `ExOciSdk.Queue.QueueClient.list_channels/3`","ref":"queue_client.html#channel-listing"},{"type":"extras","title":"Configuration Options - Queue Client","doc":"","ref":"queue_client.html#configuration-options"},{"type":"extras","title":"Client Creation Options - Queue Client","doc":"When creating a QueueClient, you can specify:\n- `service_endpoint`: Custom service endpoint URL (optional)","ref":"queue_client.html#client-creation-options"},{"type":"extras","title":"Operation Options - Queue Client","doc":"Most operations accept these common options:\n- `opc_request_id`: Custom request identifier for tracing and debugging\n- Additional operation-specific options as documented in each function","ref":"queue_client.html#operation-options"},{"type":"extras","title":"Response Format - Queue Client","doc":"All operations return a tuple in the format:\n- `{:ok, response}` on success\n- `{:error, reason}` on failure\n\nThe response contains:\n- `data`: The operation's result data\n- `metadata`: Additional information including the `opc_request_id`","ref":"queue_client.html#response-format"},{"type":"extras","title":"Error Handling - Queue Client","doc":"The client handles various error scenarios and returns appropriate error tuples. Always check the return value and handle both success and error cases in your code.","ref":"queue_client.html#error-handling"},{"type":"extras","title":"Queue Admin Client","doc":"# Queue Admin Client\n\nQueue Admin Client provides comprehensive administrative capabilities for managing queues in your OCI environment. It handles queue lifecycle operations including creation, configuration, deletion, and maintenance of queues. The client supports both synchronous operations (like retrieving queue details) and asynchronous operations (like queue creation) through work requests.","ref":"queue_admin_client.html"},{"type":"extras","title":"Create Queue Admin Client - Queue Admin Client","doc":"First, create a new QueueAdminClient instance:\n\n```elixir\n# Create a base client with your OCI configuration\nconfig = ExOciSdk.Config.from_file!(\"path/to/config\")\nclient = ExOciSdk.Client.create!(config)\n\n# Initialize the QueueAdminClient\nqueue_admin_client = ExOciSdk.Queue.QueueAdminClient.create(client)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.create/2`","ref":"queue_admin_client.html#create-queue-admin-client"},{"type":"extras","title":"Core Features - Queue Admin Client","doc":"- Queue lifecycle management (create, update, delete)\n- Queue configuration and settings management\n- Work request tracking for asynchronous operations\n- Queue compartment management\n- Queue statistics and monitoring","ref":"queue_admin_client.html#core-features"},{"type":"extras","title":"Queue Management Operations - Queue Admin Client","doc":"","ref":"queue_admin_client.html#queue-management-operations"},{"type":"extras","title":"Creating Queues - Queue Admin Client","doc":"Create a new queue with specified configuration:\n\n```elixir\ncreate_queue_input = %{\n  \"display_name\" => \"my-queue\",\n  \"compartment_id\" => \"ocid1.compartment.oc1.xxx\",\n  \"retention_in_seconds\" => 3600,\n  \"visibility_in_seconds\" => 30\n}\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.create_queue(queue_admin_client, create_queue_input)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.create_queue/3`","ref":"queue_admin_client.html#creating-queues"},{"type":"extras","title":"Retrieving Queue Details - Queue Admin Client","doc":"Get details about a specific queue:\n\n```elixir\nqueue_id = \"ocid1.queue.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.get_queue(queue_admin_client, queue_id)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.get_queue/3`","ref":"queue_admin_client.html#retrieving-queue-details"},{"type":"extras","title":"Listing Queues - Queue Admin Client","doc":"List queues with optional filtering:\n\n```elixir\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.list_queues(queue_admin_client,\n  compartment_id: \"ocid1.compartment.oc1.xxx\",\n  display_name: \"my-queue\",\n  limit: 10,\n  page: 1\n)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.list_queues/2`","ref":"queue_admin_client.html#listing-queues"},{"type":"extras","title":"Updating Queues - Queue Admin Client","doc":"Update queue configuration:\n\n```elixir\nupdate_input = %{\n  \"display_name\" => \"updated-queue-name\",\n  \"visibility_in_seconds\" => 60,\n  \"timeout_in_seconds\" => 30,\n  \"dead_letter_queue_delivery_count\" => 5,\n  \"freeform_tags\" => %{\n    \"department\" => \"engineering\",\n    \"environment\" => \"production\"\n  }\n}\n\nqueue_id = \"ocid1.queue.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.update_queue(queue_admin_client, queue_id, update_input)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.update_queue/4`","ref":"queue_admin_client.html#updating-queues"},{"type":"extras","title":"Deleting Queues - Queue Admin Client","doc":"Delete a queue:\n\n```elixir\nqueue_id = \"ocid1.queue.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.delete_queue(queue_admin_client, queue_id)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.delete_queue/3`","ref":"queue_admin_client.html#deleting-queues"},{"type":"extras","title":"Purging Queue Messages - Queue Admin Client","doc":"Purge messages from a queue:\n\n```elixir\npurge_input = %{\n  \"purge_type\" => \"NORMAL\",\n  \"channel_ids\" => [\"channel-1\", \"channel-2\"]\n}\n\nqueue_id = \"ocid1.queue.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.purge_queue(queue_admin_client, queue_id, purge_input)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.purge_queue/4`","ref":"queue_admin_client.html#purging-queue-messages"},{"type":"extras","title":"Moving Queues Between Compartments - Queue Admin Client","doc":"Change queue compartment:\n\n```elixir\ncompartment_input = %{\n  \"compartment_id\" => \"ocid1.compartment.oc1.xxx.new_compartment\"\n}\n\nqueue_id = \"ocid1.queue.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.change_queue_compartment(queue_admin_client, queue_id, compartment_input)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.change_queue_compartment/4`","ref":"queue_admin_client.html#moving-queues-between-compartments"},{"type":"extras","title":"Work Request Operations - Queue Admin Client","doc":"The following queue operations are asynchronous and return work request IDs:\n\n- `create_queue/3`: Creating new queues\n- `delete_queue/3`: Deleting existing queues\n- `purge_queue/4`: Purging messages from queues\n- `update_queue/4`: Updating queue configurations\n- `change_queue_compartment/4`: Moving queues between compartments\n\nThese work request operations help track the status of asynchronous operations:","ref":"queue_admin_client.html#work-request-operations"},{"type":"extras","title":"Get Work Request Status - Queue Admin Client","doc":"Check the status of an asynchronous operation:\n\n```elixir\nwork_request_id = \"ocid1.queueworkrequest.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.get_work_request(queue_admin_client, work_request_id)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.get_work_request/3`","ref":"queue_admin_client.html#get-work-request-status"},{"type":"extras","title":"List Work Requests - Queue Admin Client","doc":"List all work requests in a compartment:\n\n```elixir\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.list_work_requests(queue_admin_client,\n  compartment_id: \"ocid1.compartment.oc1.xxx\",\n  limit: 10,\n  page: 1\n)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.list_work_requests/2`","ref":"queue_admin_client.html#list-work-requests"},{"type":"extras","title":"List Work Request Errors - Queue Admin Client","doc":"View errors for a specific work request:\n\n```elixir\nwork_request_id = \"ocid1.queueworkrequest.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.list_work_request_errors(queue_admin_client, work_request_id)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.list_work_request_errors/3`","ref":"queue_admin_client.html#list-work-request-errors"},{"type":"extras","title":"List Work Request Logs - Queue Admin Client","doc":"Access detailed operation logs:\n\n```elixir\nwork_request_id = \"ocid1.queueworkrequest.oc1.xxx\"\n\n{:ok, response} = ExOciSdk.Queue.QueueAdminClient.list_work_request_logs(queue_admin_client, work_request_id)\n```\n\nsee more details in `ExOciSdk.Queue.QueueAdminClient.list_work_request_logs/3`","ref":"queue_admin_client.html#list-work-request-logs"},{"type":"extras","title":"Configuration Options - Queue Admin Client","doc":"","ref":"queue_admin_client.html#configuration-options"},{"type":"extras","title":"Client Creation Options - Queue Admin Client","doc":"When creating a QueueAdminClient, you can specify:\n- `service_endpoint`: Custom service endpoint URL (optional)","ref":"queue_admin_client.html#client-creation-options"},{"type":"extras","title":"Operation Options - Queue Admin Client","doc":"Most operations accept these common options:\n- `opc_request_id`: Custom request identifier for tracing and debugging\n- `if_match`: For optimistic concurrency control\n- Additional operation-specific options as documented in each function","ref":"queue_admin_client.html#operation-options"},{"type":"extras","title":"Response Format - Queue Admin Client","doc":"All operations return a tuple in the format:\n- `{:ok, response}` on success\n- `{:error, reason}` on failure\n\nThe response contains:\n- `data`: The operation's result data\n- `metadata`: Additional information including:\n  - `opc_request_id`: Request identifier\n  - `opc_work_request_id`: For asynchronous operations\n  - `opc_next_page`: For paginated results","ref":"queue_admin_client.html#response-format"},{"type":"extras","title":"Error Handling - Queue Admin Client","doc":"The client handles various error scenarios and returns appropriate error tuples. Always check the return value and handle both success and error cases in your code.","ref":"queue_admin_client.html#error-handling"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}